<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| who_viewed_panel.php
| Version: 0.1
| Author: hyperkolyok
| Site: http://chat.fusion-mods.hu
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+-------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";

if (file_exists(INFUSIONS."who_viewed_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."who_viewed_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."who_viewed_panel/locale/Hungarian.php";
}
include INFUSIONS."who_viewed_panel/indb.php";
opentable($locale['whow_008']);
if (iMEMBER){
$rekord = dbquery("SELECT tw.*, tu.* FROM ".DB_WHOW." tw
LEFT JOIN ".DB_USERS." tu ON tu.user_id = tw.wuser_ki
WHERE wuser_kit = '".$userdata['user_id']."'
ORDER BY wdatum DESC");

$rows = dbrows($rekord); $db = 50;
if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }

$rekord = dbquery("SELECT tw.*, tu.* FROM ".DB_WHOW." tw
LEFT JOIN ".DB_USERS." tu ON tu.user_id = tw.wuser_ki
WHERE wuser_kit = '".$userdata['user_id']."'
ORDER BY wdatum DESC LIMIT ".$_GET['rowstart'].",".$db." ");

if (dbrows($rekord)){
	echo "<table width='50%' cellspacing='1' cellpadding='1' align='center'>";
	echo "<tr>
	<td class='tbl2' align='center' width='50'>".$locale['whow_009']."</td>\n
	<td class='tbl2' align='center'>".$locale['whow_010']."</td>\n
	<td class='tbl2' align='center'>".$locale['whow_011']."</td>\n
	<td class='tbl2' align='center'>".$locale['whow_012']."</td>\n
	<td class='tbl2' align='center'>".$locale['whow_013']."</td>\n
	</tr>\n";
	while ($lista = dbarray($rekord))
	{
		$avatar = "";
		$nick= ($lista['wuser_ki']!=0 ? "<a href='".BASEDIR."profile.php?lookup=".$lista['user_id']."' class='side'>".$lista['user_name']."</a>" : "Vendg");
		if ($lista['wuser_ki']==0) {
			$avatar = "<img src='".INFUSIONS."who_viewed_panel/images/noav100.png' border='0' alt='' width='50' />";
		} else {
			$avatar = ($lista['user_avatar']!="" ? "<img src='".IMAGES."avatars/".$lista['user_avatar']."' border='0' alt='' width='50' />" : "<img src='".INFUSIONS."who_viewed_panel/images/noav100.png' border='0' alt='' width='50' />");
		}
		$tmikor = mktime(0,0,0,date("m"),date("d"),date("Y"));
		echo "<tr>";
			echo "<td class='tbl1' align='center'>".$avatar."</td>\n";
			echo "<td class='tbl1'>".$nick."</td>\n";
			echo "<td class='tbl1' align='right'>".$lista['wdb']."</td>\n";
			echo "<td class='tbl1' align='center'>".showdate("%Y.%m.%d %H:%M",$lista['wdatum'])."</td>\n";
			echo "<td class='tbl1' align='center'>".($lista['wdatum']>$tmikor ? "<img src='".INFUSIONS."who_viewed_panel/images/yes.png' border='0' alt='' />" : "")."</td>\n";
		echo "</tr>\n";
	}
	echo "</table>\n";
} else {
	echo "<center>".$locale['whow_014']."</center>";
}

if ($rows >$db) { echo "<div align='center' style='margin-top:5px;'>".makepagenav($_GET['rowstart'], $db, $rows, 3, FUSION_SELF."?&amp;")."</div><br>\n"; }
} else {
echo "<center>".$locale['whow_015']."</center>";
}
closetable();
require_once THEMES."templates/footer.php";
?>